## List Account Providers `client.AIGateway.CustomProviders.List(ctx, params) (*V4PagePaginationArray[CustomProviderListResponse], error)` **get** `/accounts/{account_id}/ai-gateway/custom-providers` Lists all AI Gateway evaluator types configured for the account. ### Parameters - `params CustomProviderListParams` - `AccountID param.Field[string]` Path param - `Beta param.Field[bool]` Query param - `Enable param.Field[bool]` Query param - `Page param.Field[int64]` Query param - `PerPage param.Field[int64]` Query param - `Search param.Field[string]` Query param: Search by id, name, slug ### Returns - `type CustomProviderListResponse struct{…}` - `ID string` - `BaseURL string` - `CreatedAt Time` - `ModifiedAt Time` - `Name string` - `Slug string` - `Beta bool` - `CurlExample string` - `Description string` - `Enable bool` - `Headers string` - `JSExample string` - `Link string` - `Logo string` - `Position int64` ### Example ```go package main import ( "context" "fmt" "github.com/stainless-sdks/cloudflare-go" "github.com/stainless-sdks/cloudflare-go/ai_gateway" "github.com/stainless-sdks/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.AIGateway.CustomProviders.List(context.TODO(), ai_gateway.CustomProviderListParams{ AccountID: cloudflare.F("3ebbcb006d4d46d7bb6a8c7f14676cb0"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "result": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "base_url": "https://example.com", "created_at": "2019-12-27T18:11:19.117Z", "modified_at": "2019-12-27T18:11:19.117Z", "name": "name", "slug": "slug", "beta": true, "curl_example": "curl_example", "description": "description", "enable": true, "headers": "headers", "js_example": "js_example", "link": "link", "logo": "logo", "position": 0 } ], "success": true } ```